Page MenuHomePhabricator

[ASTImporter] Move structural equivalence context to its own file. NFCI
ClosedPublic

Authored by bruno on Apr 6 2017, 11:12 AM.

Diff Detail

Repository
rL LLVM

Event Timeline

bruno created this revision.Apr 6 2017, 11:12 AM
bruno updated this revision to Diff 94470.Apr 6 2017, 6:10 PM

Remove \brief from comments while moving the contents around.

spyffe accepted this revision.Apr 24 2017, 1:34 PM

Looks good to me. This is a good step toward simplifying the ASTImporter and breaking out its parts to be useful on their own.
Obviously make sure the tests pass :)

This revision is now accepted and ready to land.Apr 24 2017, 1:34 PM
a.sidorin accepted this revision.Apr 26 2017, 10:30 AM

Refactoring changes are always appreciated. I only have a minor naming nit.

include/clang/AST/ASTStructuralEquivalence.h
33 ↗(On Diff #94470)

FromCtx, ToCtx?

This revision was automatically updated to reflect the committed changes.